Package org.jboss.resteasy.plugins.server.servlet

## Class ListenerBootstrap

- java.lang.Object
- - org.jboss.resteasy.plugins.server.servlet.ConfigurationBootstrap
  - - org.jboss.resteasy.plugins.server.servlet.ListenerBootstrap

- All Implemented Interfaces:
    `ResteasyConfiguration`
  Direct Known Subclasses:
    `FilterBootstrap`, `ServletBootstrap`

      public class ListenerBootstrap
      extends ConfigurationBootstrap

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected javax.servlet.ServletContext` | `servletContext` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ListenerBootstrap​(javax.servlet.ServletContext servletContext)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ResteasyDeployment` | `createDeployment()` |
    `static URL[]` | `findWebInfLibClasspaths​(javax.servlet.ServletContext servletContext)` |
    `String` | `getInitParameter​(String name)` | Only provide parameter from a servlet or filter init param.
    `Set<String>` | `getInitParameterNames()` |
    `Set<String>` | `getParameterNames()` |
    `protected Set<String>` | `getServletContextNames()` |

    - ### Methods inherited from class org.jboss.resteasy.plugins.server.servlet.ConfigurationBootstrap

      `getParameter, parseBooleanParam, parseMap, processJndiComponentResources, processJndiResources, processResources, processScannedJndiComponentResources, processScannedResourceClassesWithBuilder, processUnwrapped`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### servletContext

          protected javax.servlet.ServletContext servletContext

  - ### Constructor Detail

    - #### ListenerBootstrap

          public ListenerBootstrap​(javax.servlet.ServletContext servletContext)

  - ### Method Detail

    - #### createDeployment

          public ResteasyDeployment createDeployment()

      Overrides:
        `createDeployment` in class `ConfigurationBootstrap`

    - #### findWebInfLibClasspaths

          public static URL[] findWebInfLibClasspaths​(javax.servlet.ServletContext servletContext)

    - #### getParameterNames

          public Set<String> getParameterNames()

    - #### getServletContextNames

          protected Set<String> getServletContextNames()

    - #### getInitParameterNames

          public Set<String> getInitParameterNames()

    - #### getInitParameter

          public String getInitParameter​(String name)

      Description copied from interface: `ResteasyConfiguration`
      Only provide parameter from a servlet or filter init param.
      Parameters:
        `name` - parameter name
      Returns:
        parameter value